--==========================================================
-- Design units : MUX_four(Entity, Architecture)
--
-- File name    : MUX_four.vhd
--
-- Purpose      : 4:1 multiplexer
--
-- Limitations  : -
--
-- Library      : IEEE
--
-- Dependencies : -
--
-- Author       : Claus-Juergen Thomas, REFT
--
-- Simulator    : Synopsys V3.2a on SUN SPARCstation 10
--
-----------------------------------------------------------
-- Revision list
-- Version Author Date           Changes
--
--  v1.0   cjt    04.07.1996     new
--=========================================================
LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY MUX_four IS
PORT(A  : IN std_logic;   -- Data in Bit 0
     B  : IN std_logic;   -- Data in Bit 1
     C  : IN std_logic;   -- Data in Bit 2
     D  : IN std_logic;   -- Data in Bit 3
     S0 : IN std_logic;   -- Select input 0
     S1 : IN std_logic;   -- Select input 1
     Y  : OUT std_logic); -- Data out
END MUX_four;

--============================ARCHITECTURE==================

ARCHITECTURE Behavior OF MUX_four IS

BEGIN

  main: PROCESS (A,B,C,D,S0,S1)
 
    BEGIN

      IF S1 = '0' THEN

        IF S0 = '0' THEN
          Y <= A;
        ELSE
          Y <= B;
        END IF;

      ELSE

        IF S0 = '0' THEN
          Y <= C;
        ELSE
          Y <= D;
        END IF;

      END IF;

  END PROCESS;

END Behavior;

